%global momorel 1
%global vimdirver 72

Summary: A program for printing sheet music
Name: lilypond
Version: 2.11.58
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.lilypond.org/
Group: Applications/Publishing
Source0: http://lilypond.org/download/sources/v2.11/%{name}-%{version}.tar.gz
NoSource: 0
# (Abel) use utf8 as input encoding by default for tex backend
Patch0: %{name}-2.8.6-tex-use-utf8.patch
# (Abel) use locale-independency date as document timestamp
Patch1: %{name}-2.6.3-locale-indep-date.patch
# (Abel) use ImageMagick to replace netpbm -- pnmtopng segfault
# and I'm too lazy to look into the problem
Patch2: %{name}-2.6.4-use-imagemagick.patch
Patch3: %{name}-2.11.39-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkfontpath-momonga
PreReq: coreutils
PreReq: findutils
PreReq: info
PreReq: kpathsea
PreReq: xorg-x11-font-utils
Requires: ghostscript
Requires: vim-common
BuildRequires: ImageMagick
BuildRequires: bison
BuildRequires: flex
BuildRequires: fontforge
BuildRequires: gettext-devel
BuildRequires: ghostscript
BuildRequires: gtk2-devel
BuildRequires: guile-devel >= 1.8.1-2m
BuildRequires: info >= 4.11
BuildRequires: mftrace
BuildRequires: python-devel
BuildRequires: tetex
BuildRequires: texinfo >= 4.11
BuildRequires: texinfo-tex >= 4.11
BuildRequires: urw-fonts
BuildRequires: zip

%description
LilyPond is a music typesetter.  It produces beautiful sheet music using a
high level description file as input.  LilyPond is part of the GNU project.
 
LilyPond is split into two packages.  The package "lilypond" provides the
core package, containing the utilities for converting the music source
(.ly) files into printable output. 

%prep
%setup -q

%patch0 -p1 -b .utf8
%patch1 -p1 -b .date
%patch2 -p1 -b .netpbm
%patch3 -p1 -b .gcc43~

%build
%configure --enable-gui --with-ncsb-dir=%{_datadir}/fonts/type1/urw
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall vimdir=%{buildroot}%{_datadir}/vim/vim%{vimdirver} package_infodir=%{buildroot}%{_infodir}

# web doc
# Doesn't work out of the box for this version.
# %%make out=www web-install DESTDIR=%%{buildroot}

chmod +x %{buildroot}%{_libdir}/%{name}/%{version}/python/midi.so

# Symlink lilypond-init.el in emacs' site-start.d directory
pushd %{buildroot}%{_datadir}/emacs/site-lisp
mkdir site-start.d
ln -s ../lilypond-init.el site-start.d
popd

# Create symlinks to lilypond folder under TeX directory, so that TeX can
# use lilypond files natively, courtesy of Michael Brown's great hacks
# Necessary for tex backend to work, since startup profile is gone -- Abel
mkdir -p %{buildroot}%{_datadir}/texmf/dvips \
         %{buildroot}%{_datadir}/texmf/tex \
         %{buildroot}%{_datadir}/texmf/fonts/source \
         %{buildroot}%{_datadir}/texmf/fonts/tfm
pushd %{buildroot}%{_datadir}/texmf
ln -s ../../lilypond/%{version}/ps dvips/lilypond
ln -s ../../lilypond/%{version}/tex tex/lilypond
ln -s ../../../lilypond/%{version}/fonts/source fonts/source/lilypond
ln -s ../../../lilypond/%{version}/fonts/tfm fonts/tfm/lilypond
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/lilypond-internals.info || :
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :

find /var/lib/texmf \( -name 'feta*.pk' -or -name 'feta*.tfm' -or -name 'parmesan*.pk' -or -name 'parmesan*.tfm' \) -print0 | xargs -r -0 rm -f

mktexlsr > /dev/null

mkfontdir %{_datadir}/lilypond/%{version}/fonts/type1
%{_sbindir}/chkfontpath -q -l | grep -q %{_datadir}/lilypond/%{version}/fonts/type1 || %{_sbindir}/chkfontpath -q -a %{_datadir}/lilypond/%{version}/fonts/type1

%preun
if [ "$1" = "0" ]; then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/lilypond.info || :
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/lilypond-internals.info || :
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/music-glossary.info || :
fi

rm -f %{_datadir}/lilypond/%{version}/fonts/type1/fonts.dir
if %{_sbindir}/chkfontpath -q -l | grep -q %{_datadir}/lilypond/%{version}/fonts/type1; then %{_sbindir}/chkfontpath -q -r %{_datadir}/lilypond/%{version}/fonts/type1; fi

%postun
mktexlsr > /dev/null

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING DEDICATION HACKING
%doc NEWS.txt README.txt ROADMAP THANKS
%{_bindir}/abc2ly
%{_bindir}/convert-ly
%{_bindir}/etf2ly
%{_bindir}/lilymidi
%{_bindir}/lilypond
%{_bindir}/lilypond-book
%{_bindir}/lilypond-invoke-editor
%{_bindir}/lilysong
%{_bindir}/midi2ly
%{_bindir}/musicxml2ly
%{_libdir}/lilypond
%{_datadir}/emacs/site-lisp/site-start.d/lilypond-init.el
%{_datadir}/emacs/site-lisp/lilypond-*.el
%{_infodir}/*.info*
%{_datadir}/lilypond
%{_datadir}/locale/*/LC_MESSAGES/lilypond.mo
%{_mandir}/man1/*.1*
%{_datadir}/omf/lilypond
%{_datadir}/texmf/dvips/lilypond
%{_datadir}/texmf/fonts/source/lilypond
%{_datadir}/texmf/fonts/tfm/lilypond
%{_datadir}/texmf/tex/lilypond
%{_datadir}/vim/vim%{vimdirver}/*/lilypond*

%changelog
* Sat Sep 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.58-1m)
- version 2.11.58

* Wed Aug 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.57-1m)
- version 2.11.57

* Tue Aug 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.56-2m)
- rebuild against vim-7.2.6

* Sun Aug 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.56-1m)
- version 2.11.56

* Wed Aug  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.55-1m)
- version 2.11.55

* Sat Aug  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.54-1m)
- version 2.11.54

* Wed Jul 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.53-1m)
- version 2.11.53

* Wed Jul 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.52-1m)
- version 2.11.52
- fix vim files install directories
- Requires: vim-common

* Fri Jul 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.51-1m)
- version 2.11.51

* Thu Jul  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.50-1m)
- version 2.11.50

* Sat Jun 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.49-1m)
- version 2.11.49

* Mon Jun  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.48-1m)
- version 2.11.48

* Sun Jun  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.47-1m)
- version 2.11.47

* Mon May 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.46-1m)
- version 2.11.46

* Sun Apr 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.45-1m)
- version 2.11.45

* Tue Apr 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.43-1m)
- version 2.11.43

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.11.42-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.42-1m)
- version 2.11.42

* Fri Feb 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.41-1m)
- version 2.11.41

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.40-1m)
- version 2.11.40

* Wed Feb 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.11.39-3m)
- revise gcc43 patch

* Mon Feb 11 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.11.39-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Feb 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.39-1m)
- version 2.11.39

* Sun Jan 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.37-1m)
- version 2.11.37

* Tue Jan  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.36-1m)
- version 2.11.36

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.35-1m)
- version 2.11.35

* Wed Oct  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.34-1m)
- version 2.11.34

* Sun Sep 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.33-1m)
- version 2.11.33

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.32-1m)
- version 2.11.32

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.30-1m)
- version 2.11.30

* Wed Aug 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.29-1m)
- version 2.11.29

* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.28-1m)
- version 2.11.28

* Sun Jul 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.27-3m)
- revise %%post and %%preun again

* Sun Jul 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.27-2m)
- revise PreReq, %%post and %%preun

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.27-1m)
- version 2.11.27

* Sun Jun 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.26-1m)
- version 2.11.26

* Tue May 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.25-1m)
- version 2.11.25

* Sat May 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.24-1m)
- version 2.11.24

* Fri May  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.23-1m)
- version 2.11.23

* Tue Apr 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.22-1m)
- version 2.11.22

* Sat Mar  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.11.20-1m)
- initial package for rosegarden-1.5.0
- import 3 patches from cooker
 - lilypond-2.8.6-tex-use-utf8.patch
 - lilypond-2.6.3-locale-indep-date.patch
 - lilypond-2.6.4-use-imagemagick.patch
- Summary and %%description are imported from cooker
